Subject: [mpls] MIB Dr. review of draft-ietf-tp-linear-mib-09

From: Joan Cucchiara <[email-masked]>
Date: Fri, 7 Oct 2016 20:53:12 -0400

Authors,

Thank you for addressing the comments so thoroughly, and especially for
clarifying the example in section 7.    Much appreciated.

The MIB compiles with smilint and smicngPRO.   Comments are below.

Thank you,
-Joan

Comments:
----------------

1) Section 6.1 Relationship to the MPLS OAM Maintenance Identifiers MIB
Module

   "The mplsLpsMeConfigTable entry is extended by the entry in the
   mplsOamIdMeTable defined in [RFC7697]."

The above statement is backwards....think the intention is to say something
like:
Entries in the mplsOamIdMeTable [RFC7697] are extended by entries in the
mplsLspMeConfigTable.

2) later in this same section, section 6.1

   "An entry of this table is related to a single entry in
mplsOamIdMeTable."

The above is confusing because you've already discuss the sparse augments
relationship.  Please remove
the above sentence.

MIB Module
------------
3)  mplsLpsConfigIndexNext  -   please rename to
mplsLpsConfigDomainIndexNext.
Since this scalar is only used for the mplsLpsConfigDomainIndex index's
values, the name should reflect that.
NOTE:  this name change should be propagated elsewhere in the draft.
Please do a search and replace.

4) mplsLpsConfigDomainIndex  (editorial)
  "Managers should..."

s/Managers/Operators/

5) mplsLpsConfigCommand
Why is there NO DEVAL?   Wouldn't "noCmd" be an appropriate DEFVAL?

6) mplsLpsConfigRowStatus DESCRIPTION clause

RowStatus objects reflect the status of the Row, not a determination of
whether or not values
are "appropriate".  Please remove the last sentence of this DESCRIPTION:

         "...An entry may not exist in the active state unless all
          objects in the entry have an appropriate value."

7)  mplsLpsConfigDomainIndex and mplsLpsMeConfigDomain

Since MIBs often get stripped out of RFCs, the relationship between the
mplsLpsConfigDomainIndex and
the mplsLpsMeConfigDomain needs to be included in the MIB Module itself.

Both DESCRIPTION clauses need to be updated to describe the relationship
between these objects.   Verbage such as "When the
value of mplsLpsConfigDomainIndex is the same as the value of
mplsLpsMeConfigDomain, that means..." and then explain what
this means.

8)  mplsLpsMeConfigDomain DESCRIPTION (editorial)
         "This object holds the value of protection domain index wherein
          this ME included in.

s/included in/is included/

---

---

From: 류정동 <[email-masked]>
Date: Wed, 12 Oct 2016 14:29:57 +0000

Dear Joan,

Thank you so much for your review and comments.
All your comments had been incorporated into the revision posted a few minutes ago as follows.

Name:           draft-ietf-mpls-tp-linear-protection-mib
Revision:       10
Title:          MPLS Transport Profile Linear Protection MIB
Document date:  2016-10-12
Group:          mpls
Pages:          45
URL:            https://www.ietf.org/internet-drafts/draft-ietf-mpls-tp-linear-protection-mib-10.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-mpls-tp-linear-protection-mib/
Htmlized:       https://tools.ietf.org/html/draft-ietf-mpls-tp-linear-protection-mib-10
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-tp-linear-protection-mib-10

Would you please let us know if you have any further comments on this document at your earliest convenience?

Best reagrds,

Jeong-dong

________________________________________
보낸 사람: Joan Cucchiara [[email-masked]]
보낸 날짜: 2016년 10월 8일 토요일 오전 9:53
받는 사람: Loa Andersson; [email-masked]; [email-masked]; [email-masked]; [email-masked]
참조: 류정동; Benoit Claise
제목: MIB Dr. review of draft-ietf-tp-linear-mib-09

Authors,

Thank you,
-Joan

Comments:
----------------

1) Section 6.1 Relationship to the MPLS OAM Maintenance Identifiers MIB Module

The above statement is backwards....think the intention is to say something like:
Entries in the mplsOamIdMeTable [RFC7697] are extended by entries in the mplsLspMeConfigTable.

   "An entry of this table is related to a single entry in mplsOamIdMeTable."

The above is confusing because you've already discuss the sparse augments relationship.  Please remove
the above sentence.

MIB Module
------------
3)  mplsLpsConfigIndexNext  -   please rename to mplsLpsConfigDomainIndexNext.
Since this scalar is only used for the mplsLpsConfigDomainIndex index's values, the name should reflect that.
NOTE:  this name change should be propagated elsewhere in the draft.  Please do a search and replace.

s/Managers/Operators/

5) mplsLpsConfigCommand

RowStatus objects reflect the status of the Row, not a determination of whether or not values
are "appropriate".  Please remove the last sentence of this DESCRIPTION:

Since MIBs often get stripped out of RFCs, the relationship between the mplsLpsConfigDomainIndex and
the mplsLpsMeConfigDomain needs to be included in the MIB Module itself.

Both DESCRIPTION clauses need to be updated to describe the relationship between these objects.   Verbage such as "When the
value of mplsLpsConfigDomainIndex is the same as the value of mplsLpsMeConfigDomain, that means..." and then explain what
this means.

---

---

From: Joan Cucchiara <[email-masked]>
Date: Mon, 17 Oct 2016 23:05:43 -0400

Jeong-dong,

Thank you for the quick turn-around and also for the thoroughness of
addressing this last round of comments.   I believe the MIB review is
complete.

Thanks again for all your time and effort during this process,
-Joan

On Wed, Oct 12, 2016 at 10:29 AM, 류정동 <[email-masked]> wrote:

> Status:         https://datatracker.ietf.org/
> doc/draft-ietf-mpls-tp-linear-protection-mib/
> 받는 사람: Loa Andersson; [email-masked]; draft-ietf-mpls-tp-linear-
> [email-masked]; [email-masked]; [email-masked]
> 참조: 류정동; Benoit Claise

---

From: Benoit Claise <[email-masked]>
Date: Tue, 18 Oct 2016 10:43:35 +0200

Many thanks Joan,
I marked this task as completed at 
https://trac.tools.ietf.org/area/ops/trac/wiki/mib-doctors-review-history

Regards, Benoit
> On Wed, Oct 12, 2016 at 10:29 AM, 류정동 <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Dear Joan,
>

---

From: "Ryoo, Jeong-dong " <[email-masked]>
Date: Wed, 19 Oct 2016 07:44:14 +0000

Joan,

Thank you so much for your work on this.

The document has been greatly improved through your review and comments in the previous revisions.

Best regards,

Jeong-dong

________________________________
보낸 사람 : "Joan Cucchiara" <[email-masked]>
보낸 날짜 : 2016-10-18 12:05:52 ( +09:00 )
받는 사람 : 류정동 <[email-masked]>
참조 : Loa Andersson <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, Benoit Claise <[email-masked]>
제목 : Re: 회신: MIB Dr. review of draft-ietf-tp-linear-mib-09

Jeong-dong,

Thank you for the quick turn-around and also for the thoroughness of addressing this last round of comments.   I believe the MIB review is complete.

-Joan

On Wed, Oct 12, 2016 at 10:29 AM, 류정동 <[email-masked]<mailto:[email-masked]>> wrote:

Dear Joan,

Revision:       10

Group:          mpls

Pages:          45

Best reagrds,

Jeong-dong

보낸 사람: Joan Cucchiara [[email-masked]<mailto:[email-masked]>]

받는 사람: Loa Andersson; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

참조: 류정동; Benoit Claise

Authors,

Thank you,

-Joan

Comments:

----------------

the above sentence.

MIB Module

------------

  "Managers should..."

s/Managers/Operators/

5) mplsLpsConfigCommand

this means.

          this ME included in.

---